package com.ruoyi.finance.excel;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

public class Detailed {

    /** 提单号 */
    @Excel(name = "序号")
    private String fId;

    /** 提单号 */
    @Excel(name = "提单号")
    private String fMblno;

    /**
     * 存货单号
     */
    @Excel(name = "存货单号")
    private String fBscorpno;

    /** 货名 */
    @Excel(name = "货物品名")
    private String fGoodsid;


    /** 业务日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBsdate;

    /**
     * 费用名称
     */
    @Excel(name = "费用名称")
    private String fFeeid;

    /**
     * 收/付
     */
    @Excel(name = "收/付")
    private String fSrcdc;

    /** 业务类型 */
    @Excel(name = "业务类型")
    private String fBilltype;

    /** 作业类型 */
    @Excel(name = "作业类型")
    private String fBusinessType;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal fAmtdr;

    /** 本次金额 */
    @Excel(name = "本次金额")
    private BigDecimal fAmt;


    /** 备注 */
    @Excel(name = "备注")
    private String fRemarks;

    public String getfId() {
        return fId;
    }

    public void setfId(String fId) {
        this.fId = fId;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfBscorpno() {
        return fBscorpno;
    }

    public void setfBscorpno(String fBscorpno) {
        this.fBscorpno = fBscorpno;
    }

    public String getfGoodsid() {
        return fGoodsid;
    }

    public void setfGoodsid(String fGoodsid) {
        this.fGoodsid = fGoodsid;
    }

    public Date getfBsdate() {
        return fBsdate;
    }

    public void setfBsdate(Date fBsdate) {
        this.fBsdate = fBsdate;
    }

    public String getfFeeid() {
        return fFeeid;
    }

    public void setfFeeid(String fFeeid) {
        this.fFeeid = fFeeid;
    }

    public String getfSrcdc() {
        return fSrcdc;
    }

    public void setfSrcdc(String fSrcdc) {
        this.fSrcdc = fSrcdc;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public String getfBusinessType() {
        return fBusinessType;
    }

    public void setfBusinessType(String fBusinessType) {
        this.fBusinessType = fBusinessType;
    }

    public BigDecimal getfAmtdr() {
        return fAmtdr;
    }

    public void setfAmtdr(BigDecimal fAmtdr) {
        this.fAmtdr = fAmtdr;
    }

    public BigDecimal getfAmt() {
        return fAmt;
    }

    public void setfAmt(BigDecimal fAmt) {
        this.fAmt = fAmt;
    }

    public String getfRemarks() {
        return fRemarks;
    }

    public void setfRemarks(String fRemarks) {
        this.fRemarks = fRemarks;
    }
}
